aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@gmail.com>2009-06-10 13:14:08 +0000
committerLeonardo Arena <rnalrd@gmail.com>2009-06-10 13:14:08 +0000
commiteb65917a2a3f2f0cebc0339665ffb37da7d35b96 (patch)
tree52b5a9cf498d165eb288c6dec10473e8da5e1d6d
parentc6fe7d5cc851196b3dd43e4654ae5ca85fb8c6aa (diff)
downloadaports-eb65917a2a3f2f0cebc0339665ffb37da7d35b96.tar.gz
aports-eb65917a2a3f2f0cebc0339665ffb37da7d35b96.tar.bz2
aports-eb65917a2a3f2f0cebc0339665ffb37da7d35b96.tar.xz
testing/perl-convert-binhex: new aport
-rw-r--r--testing/perl-convert-binhex/APKBUILD26
1 files changed, 26 insertions, 0 deletions
diff --git a/testing/perl-convert-binhex/APKBUILD b/testing/perl-convert-binhex/APKBUILD
new file mode 100644
index 0000000000..e0cc0b30d1
--- /dev/null
+++ b/testing/perl-convert-binhex/APKBUILD
@@ -0,0 +1,26 @@
+# Contributor: Leonardo Arena <rnalrd@gmail.com>
+# Maintainer: Leonardo Arena <rnalrd@gmail.com>
+pkgname=perl-convert-binhex
+_realname=Convert-BinHex
+pkgver=1.119
+pkgrel=0
+pkgdesc="Extract data from Macintosh BinHex files"
+url="http://search.cpan.org/~eryq/Convert-BinHex-1.119/"
+license="Unknown"
+depends="perl"
+makedepends="perl-dev"
+install=
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/E/ER/ERYQ/$_realname-$pkgver.tar.gz"
+
+build() {
+ cd "$srcdir/$_realname-$pkgver"
+
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install
+ # creates file collision among perl modules
+ rm $pkgdir/usr/lib/perl5/5.10.0/i686-linux/perllocal.pod
+}
+
+md5sums="ba70ad1772abac6270078f28197a7961 Convert-BinHex-1.119.tar.gz"